3.176.0 release notes
about 1 hour ago by ReadMe API
- ✨ New features
- Added a new Energy Coupon Templates resource. Consumers can now list, create, read, update, and deactivate templates via
GET /public-api/resources/energy-coupon-templates/v1.0,POST /public-api/resources/energy-coupon-templates/v1.0,GET /public-api/resources/energy-coupon-templates/v1.0/{energyCouponTemplate},PATCH /public-api/resources/energy-coupon-templates/v1.0/{energyCouponTemplate}, andPOST /public-api/actions/energy-coupon-template/v1.0/{energyCouponTemplate}/deactivate. Templates support fields such ascode,name,energyWh,maxRedemptionCount,validityType,validityDurationDays,couponValidFrom,couponValidTo,templateValidFrom,templateValidTo,redemptionRules(oncePerUser,oncePerEmail,oncePerPhoneNumber,oncePerDevice,newUsersOnly),restrictions(personalChargePointsOnly,evseType,countryRestriction,partnerRestriction),externalId, andtags. The listing endpoint supports filtering bystatus,code,externalId,templateValidFrom,templateValidTo,createdAfter, andcreatedBefore. - Added
POST /public-api/actions/energy-coupon/v1.0/redeem-codeto redeem an energy coupon code on behalf of a user. The request body acceptscodeanduserIdand returns the resulting energy coupon. - Added
GET /public-api/resources/sessions/v1.0/{session}/timeline-snapshotto retrieve a finished session's timeline snapshot, including time series readings (energyKwh,powerKw,voltageV,currentA,temperatureC,socPercent,currentOfferedA,powerOfferedKw,energyExportKwh,powerExportKw,currentExportA,frequencyHz,powerFactor,phases,extra), aneventscollection, and ahasflag map indicating which series are present. - Added the optional
filter.energyCouponTemplateIdquery parameter toGET /public-api/resources/energy-coupons/v1.0to filter coupons by the template they were issued from.
- Added a new Energy Coupon Templates resource. Consumers can now list, create, read, update, and deactivate templates via